edu.ucsb.nceas.metacat.dataone.quota

## Class LocalUsage

- java.lang.Object
- - org.dataone.bookkeeper.api.Usage
  - - edu.ucsb.nceas.metacat.dataone.quota.LocalUsage

-     public class LocalUsage
      extends org.dataone.bookkeeper.api.Usage

  A child class of the Usage class of BookKeeper. It has a new field - local id which represents sequence id in the local quota_usage table
  Author:
    tao

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalUsage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLocalId()` Get the local id associated with the local usage
    `java.lang.String` | `getQuotaType()` Get the quota type of the usage
    `java.lang.String` | `getRequestor()` Get the requestor associated with the usage
    `java.lang.String` | `getSubscriber()` Get the subscriber of the usage
    `void` | `setLocalId(int localId)` Set the local id
    `void` | `setQuotaType(java.lang.String quotaType)` Set the given quota type to the usage
    `void` | `setRequestor(java.lang.String requestor)` Set requestor for this usage
    `void` | `setSubscriber(java.lang.String subscriber)` Set the subscriber associated with the usage

    - ### Methods inherited from class org.dataone.bookkeeper.api.Usage

      `equals, getId, getInstanceId, getNodeId, getObject, getQuantity, getQuotaId, getStatus, hashCode, setId, setInstanceId, setNodeId, setObject, setQuantity, setQuotaId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalUsage

          public LocalUsage()

  - ### Method Detail

    - #### getSubscriber

          public java.lang.String getSubscriber()

      Get the subscriber of the usage
      Returns:
        the subscriber

    - #### setSubscriber

          public void setSubscriber(java.lang.String subscriber)

      Set the subscriber associated with the usage
      Parameters:
        `subscriber` - the value will be set

    - #### getQuotaType

          public java.lang.String getQuotaType()

      Get the quota type of the usage
      Returns:
        the quota type

    - #### setQuotaType

          public void setQuotaType(java.lang.String quotaType)

      Set the given quota type to the usage
      Parameters:
        `quotaType` - the type will be set

    - #### getRequestor

          public java.lang.String getRequestor()

      Get the requestor associated with the usage
      Returns:
        the requestor

    - #### setRequestor

          public void setRequestor(java.lang.String requestor)

      Set requestor for this usage
      Parameters:
        `requestor` - the value will be set

    - #### getLocalId

          public int getLocalId()

      Get the local id associated with the local usage
      Returns:
        the local id

    - #### setLocalId

          public void setLocalId(int localId)

      Set the local id
      Parameters:
        `localId` - the local id

Copyright © 2023 Regents of the University of California. All Rights Reserved.